Create cost center
curl --request POST \
--url https://public-api.ibana.io/v1/cost-center \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"name": "<string>",
"type": "<string>"
}
'import requests
url = "https://public-api.ibana.io/v1/cost-center"
payload = {
"code": "<string>",
"name": "<string>",
"type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', name: '<string>', type: '<string>'})
};
fetch('https://public-api.ibana.io/v1/cost-center', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"name": "<string>",
"type": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Cost Center
Create cost center
Create a new cost center.
POST
/
v1
/
cost-center
Create cost center
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
Code of the cost center
Name of the cost center
Type of the cost center (KOST 1, KOST 2)
The unique identifier of the entity.
The date and time the entity was created.
The date and time the entity was last updated.
Was this page helpful?
⌘I

